Bug 1281660 - Missing OpenIPMI pkg which is needed by ovirt-node-plugin-ipmi
Missing OpenIPMI pkg which is needed by ovirt-node-plugin-ipmi
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-node (Show other bugs)
3.5.6
Unspecified Unspecified
unspecified Severity urgent
: ovirt-3.6.1
: 3.6.0
Assigned To: Anatoly Litovsky
Ying Cui
: ZStream
Depends On:
Blocks: 1282821
  Show dependency treegraph
 
Reported: 2015-11-12 22:21 EST by Ying Cui
Modified: 2016-03-09 09:43 EST (History)
14 users (show)

See Also:
Fixed In Version: ovirt-node-3.6.0-0.22.20151126git72acbb2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1282821 (view as bug list)
Environment:
Last Closed: 2016-03-09 09:43:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Node
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 48599 ovirt-3.6 MERGED Adding openIPMI pkg requirement Never
oVirt gerrit 48606 None MERGED Adding openIPMI pkg requirement Never
oVirt gerrit 48607 ovirt-3.5 MERGED Adding openIPMI pkg requirement Never
oVirt gerrit 48612 master MERGED Fixing a typo in pkg name Never
oVirt gerrit 48613 ovirt-3.6 MERGED Fixing a typo in pkg name Never
oVirt gerrit 48614 ovirt-3.5 MERGED Fixing a typo in pkg name Never
oVirt gerrit 48615 ovirt-3.5 MERGED adding OpenIPMI pkg to rhel 6 based distro Never

  None (edit)
Description Ying Cui 2015-11-12 22:21:51 EST
OpenIPMI-2.0.16-14.el6.x86_64 is missed in rhevh 3.5.6 el6 build rhev-hypervisor6-6.7-20151112.0.

OpenIPMI is needed by ovirt-node-plugin-ipmi in el6. 
OpenIPMI-2.0.16-14.el6.x86_64 is in last released RHEVH el6 3.5.5 build - rhev-hypervisor6-6.7-20151015.1 and latest tested 3.5.6 build rhev-hypervisor6-6.7-20151029.0. but missing in final rhevh 3.5.6 build.

# rpm -qpR ovirt-node-plugin-ipmi-3.2.3-26.el6.noarch.rpm 
OpenIPMI
ipmitool
python(abi) = 2.6
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1
Comment 1 Ryan Barry 2015-11-13 15:13:39 EST
This was an intentional change in ipmitool 1.8.11-29

ovirt-node-plugin-ipmi should still pull in OpenIPMI (as it's listed as a dependency), but ipmitool does not seem to need it anymore. Since -plugin-ipmi is not shipped as part of the base image, this is expected.

Does adding ovirt-node-plugin-ipmi with edit-node pull in OpenIPMI? It should.
Comment 2 Fabian Deutsch 2015-11-16 03:29:33 EST
Dropping the Regression keyword, as it's not a regression of a previous patch. It's just a bug.
Comment 3 Red Hat Bugzilla Rules Engine 2015-11-16 08:14:22 EST
Fixed bug tickets must have version flags set prior to fixing them. Please set the correct version flags and move the bugs back to the previous status after this is corrected.
Comment 6 Ying Cui 2015-12-29 00:48:05 EST
Additional info is the issue _only_ happened on RHEV-H el6 when I reported the bug.
It is ON_QA now, and attached patch on recipe/rhevh7-pkgs.ks, so I changed it to verified status for this bug on RHEV-H 7 for RHEV 3.6 otherwise close as currentrelease - 3.5.z el7. 

$ rpm -qpR ovirt-node-plugin-ipmi-3.6.0-0.24.20151209gitc0fa931.el7ev.noarch.rpm 
OpenIPMI
ipmitool
python(abi) = 2.7
rpmlib(CompressedFileNames) <= 3.0.4-1
rpmlib(FileDigests) <= 4.6.0-1
rpmlib(PartialHardlinkSets) <= 4.0.4-1
rpmlib(PayloadFilesHavePrefix) <= 4.0-1
rpmlib(PayloadIsXz) <= 5.2-1

OpenIPMI-2.0.19-11.el7.x86_64 already built into RHEV-H 3.6 Beta 2.1
# cat /etc/redhat-release 
Red Hat Enterprise Virtualization Hypervisor (Beta) release 7.2 (20151221.1.el7ev)

# rpm -qa OpenIPMI ovirt-node
ovirt-node-3.6.0-0.24.20151209gitc0fa931.el7ev.noarch
OpenIPMI-2.0.19-11.el7.x86_64
Comment 8 errata-xmlrpc 2016-03-09 09:43:26 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-0378.html

Note You need to log in before you can comment on or make changes to this bug.